; winsetup.iss --
;
;       Inno Setup Script for creating Win32 installer program for
;       the Tix library. See ../docs/MakeBinDist.txt for more
;       instructions.
;
; Copyright (c) 2000-2001 Tix Project Group.
;
; See the file "license.terms" for information on usage and redistribution
; of this file, and for a DISCLAIMER OF ALL WARRANTIES.
;
; $Id: winsetup.iss,v 1.3 2001/03/03 08:54:47 ioilam Exp $
;

[Messages]

[Setup]
;WizardImageFile=pwrdLogo75.bmp TODO
MinVersion=4.0.950,4.0.1381
AppCopyright=Copyright  2001, Tix Project Group
AppName=Tix Library 8.2.0 for Tcl
AppVerName=Tix Library 8.2.0 for Tcl
EnableDirDoesntExistWarning=true
OutputDir=.
OutputBaseFilename=tix-8.2.0b1-setup
; TODO: make the license file look nice in setup screen
; TODO: add html and tcltk licenses
LicenseFile=..\win\license.txt
InfoAfterFile=..\win\RelNotes.txt
AppPublisherURL=http://sourceforge.net/projects/tixlibrary
AppSupportURL=http://sourceforge.net/projects/tixlibrary
AppUpdatesURL=http://sourceforge.net/projects/tixlibrary
DefaultGroupName=Tix 8.2.0 for Tcl
DefaultDirName={pf}\Tcl
UsePreviousAppDir=yes
DirExistsWarning=no
AllowRootDirectory=true

[Files]
Source: ..\win\Release\tixwish82.exe; DestDir: {app}\bin
Source: ..\win\Release\tixwishc82.exe; DestDir: {app}\bin
Source: ..\win\Release\tix82.dll; DestDir: {app}\bin
Source: ..\win\Release\tix82.lib; DestDir: {app}\lib
Source: ..\library\*.tcl; DestDir: {app}\lib\tix8.2
Source: ..\library\tclIndex; DestDir: {app}\lib\tix8.2
Source: ..\win\license.txt; DestDir: {app}\lib\tix8.2
Source: ..\win\RelNotes.txt; DestDir: {app}\lib\tix8.2

;
; This must appear below the line above. We are overridding the
; file ..\library\pkgIndex.tcl with ..\win\Release\pkgIndex.tcl.src
;
Source: ..\win\Release\pkgIndex.tcl.src; DestDir: {app}\lib\tix8.2; DestName: "pkgIndex.tcl"
Source: ..\library\pref\*.*; DestDir: {app}\lib\tix8.2\pref
Source: ..\library\bitmaps\*.*; DestDir: {app}\lib\tix8.2\bitmaps
Source: ..\demos\widget; DestDir: {app}\lib\tix8.2\demos; DestName: "widget.tcl"
Source: ..\demos\bitmaps\*.*; DestDir: {app}\lib\tix8.2\demos\bitmaps
Source: ..\demos\samples\*.*; DestDir: {app}\lib\tix8.2\demos\samples
;
; Docs
;
Source: ..\man\pdf\Tix_Reference_Manual.pdf; DestDir: {app}\doc

[Icons]
Name: {group}\tixwish; Filename: {app}\bin\tixwish82.exe; WorkingDir: {app}
Name: {group}\Tix Demo; Filename: {app}\lib\tix8.2\demos\widget.tcl; WorkingDir: {app}\lib\tix8.2\demos
Name: {group}\Tix Reference Manual;Filename: {app}\doc\Tix_Reference_Manual.pdf
Name: {group}\License; Filename: {app}\lib\tix8.2\license.txt
Name: {group}\Release Notes; Filename: {app}\lib\tix8.2\RelNotes.txt

[Dirs]


