#----------------------------------------------------------------------
# common.mak --
#
#       This file comtains the common definitions shared by the Visual 
#       C++ makefile.vc, Borland C++ makefile.bc and GNU makefile.gnu.
#
#       You should not modify the content of this file. To customize
#       the makefiles, see README.txt in this directory.
#
#       Notes to Tix core develpers: this file should contain only
#       generic Make rules, and should not contain proprietary
#       macros such as !IFDEF or ifdef.
#
# Copyright (c) 1993-1999 Ioi Kim Lam.
# Copyright (c) 2000-2001 Tix Project Group.
#
# See the file "license.terms" for information on usage and
# redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# $Id: common.mak,v 1.10 2001/10/22 06:22:41 ioilam Exp $
#----------------------------------------------------------------------

#
# The following macros depend on definitions in the
# makefile{vc,bc,gnu} that includes this file.
#

TIX_LIB_SCRIPTS = \
    $(TIX_SRC_DIR)/library/Init.tcl \
    $(TIX_SRC_DIR)/library/Balloon.tcl \
    $(TIX_SRC_DIR)/library/BtnBox.tcl \
    $(TIX_SRC_DIR)/library/CObjView.tcl \
    $(TIX_SRC_DIR)/library/ChkList.tcl \
    $(TIX_SRC_DIR)/library/ComboBox.tcl \
    $(TIX_SRC_DIR)/library/Compat.tcl \
    $(TIX_SRC_DIR)/library/Console.tcl \
    $(TIX_SRC_DIR)/library/Control.tcl \
    $(TIX_SRC_DIR)/library/DefSchm.tcl \
    $(TIX_SRC_DIR)/library/DialogS.tcl \
    $(TIX_SRC_DIR)/library/DirBox.tcl \
    $(TIX_SRC_DIR)/library/DirDlg.tcl \
    $(TIX_SRC_DIR)/library/DirList.tcl \
    $(TIX_SRC_DIR)/library/DirTree.tcl \
    $(TIX_SRC_DIR)/library/DragDrop.tcl \
    $(TIX_SRC_DIR)/library/DtlList.tcl \
    $(TIX_SRC_DIR)/library/EFileBox.tcl \
    $(TIX_SRC_DIR)/library/EFileDlg.tcl \
    $(TIX_SRC_DIR)/library/Event.tcl \
    $(TIX_SRC_DIR)/library/FileBox.tcl \
    $(TIX_SRC_DIR)/library/FileCbx.tcl \
    $(TIX_SRC_DIR)/library/FileCmpt.tcl \
    $(TIX_SRC_DIR)/library/FileDlg.tcl \
    $(TIX_SRC_DIR)/library/FileEnt.tcl \
    $(TIX_SRC_DIR)/library/FileUtil.tcl \
    $(TIX_SRC_DIR)/library/FloatEnt.tcl \
    $(TIX_SRC_DIR)/library/Grid.tcl \
    $(TIX_SRC_DIR)/library/HList.tcl \
    $(TIX_SRC_DIR)/library/HListDD.tcl \
    $(TIX_SRC_DIR)/library/IconView.tcl \
    $(TIX_SRC_DIR)/library/LabEntry.tcl \
    $(TIX_SRC_DIR)/library/LabFrame.tcl \
    $(TIX_SRC_DIR)/library/LabWidg.tcl \
    $(TIX_SRC_DIR)/library/ListNBk.tcl \
    $(TIX_SRC_DIR)/library/Meter.tcl \
    $(TIX_SRC_DIR)/library/MultView.tcl \
    $(TIX_SRC_DIR)/library/NoteBook.tcl \
    $(TIX_SRC_DIR)/library/OldUtil.tcl \
    $(TIX_SRC_DIR)/library/OptMenu.tcl \
    $(TIX_SRC_DIR)/library/PanedWin.tcl \
    $(TIX_SRC_DIR)/library/PopMenu.tcl \
    $(TIX_SRC_DIR)/library/Primitiv.tcl \
    $(TIX_SRC_DIR)/library/ResizeH.tcl \
    $(TIX_SRC_DIR)/library/SGrid.tcl \
    $(TIX_SRC_DIR)/library/SHList.tcl \
    $(TIX_SRC_DIR)/library/SListBox.tcl \
    $(TIX_SRC_DIR)/library/STList.tcl \
    $(TIX_SRC_DIR)/library/SText.tcl \
    $(TIX_SRC_DIR)/library/SWidget.tcl \
    $(TIX_SRC_DIR)/library/SWindow.tcl \
    $(TIX_SRC_DIR)/library/Select.tcl \
    $(TIX_SRC_DIR)/library/Shell.tcl \
    $(TIX_SRC_DIR)/library/SimpDlg.tcl \
    $(TIX_SRC_DIR)/library/StackWin.tcl \
    $(TIX_SRC_DIR)/library/StatBar.tcl \
    $(TIX_SRC_DIR)/library/StdBBox.tcl \
    $(TIX_SRC_DIR)/library/StdShell.tcl \
    $(TIX_SRC_DIR)/library/TList.tcl \
    $(TIX_SRC_DIR)/library/Tix.tcl \
    $(TIX_SRC_DIR)/library/Tree.tcl \
    $(TIX_SRC_DIR)/library/UnixFile.tcl \
    $(TIX_SRC_DIR)/library/Utils.tcl \
    $(TIX_SRC_DIR)/library/VResize.tcl \
    $(TIX_SRC_DIR)/library/VStack.tcl \
    $(TIX_SRC_DIR)/library/VTree.tcl \
    $(TIX_SRC_DIR)/library/Variable.tcl \
    $(TIX_SRC_DIR)/library/Verify.tcl \
    $(TIX_SRC_DIR)/library/Version.tcl \
    $(TIX_SRC_DIR)/library/WInfo.tcl \
    $(TIX_SRC_DIR)/library/WinFile.tcl \
    $(TIX_SRC_DIR)/library/fs.tcl

tixSamLib.h: $(TIX_MAKEFILE) $(TIX_SRC_DIR)/tools/tclc_s.tcl
	$(TCLSH_EXE) $(TIX_SRC_DIR)/tools/tclc_s.tcl \
		$(TIX_LIB_SCRIPTS) \
	    | cat > tixSamLib.h

tixBitmaps.h: $(TIX_MAKEFILE) $(TIX_SRC_DIR)/tools/makebitmap.tcl
	$(TCLSH_EXE) $(TIX_SRC_DIR)/tools/makebitmap.tcl \
		$(TIX_SRC_DIR)/library/bitmaps \
	    | cat > tixBitmaps.h
